import 'package:json_annotation/json_annotation.dart';

part 'app_data.g.dart';

@JsonSerializable()
class AppData {
  AppData();

  late String name;
  late String version;
  late int? gitCount;
  late String gitHash;
  late String buildDate;

  factory AppData.fromJson(Map<String, dynamic> json) =>
      _$AppDataFromJson(json);
  Map<String, dynamic> toJson() => _$AppDataToJson(this);
}
